libzypp: zypp::AutoFD Class Reference

libzypp 17.25.10

Public Member Functions | List of all members
zypp::AutoFD Class Reference
RAII solutions

AutoDispose<int> calling `::close` More...

`#include <AutoDispose.h>`

Inheritance diagram for zypp::AutoFD:
[legend]

## Public Member Functions
| AutoFD (int fd_r=-1)
Public Member Functions inherited from zypp::AutoDispose< int >
| AutoDispose ()
| Default Ctor using default constructed value and no dispose function. More...
| AutoDispose (const Dispose &dispose_r)
| Ctor taking dispose function and using default constructed value. More...
| AutoDispose (param_type value_r)
| Ctor taking value and no dispose function. More...
| AutoDispose (param_type value_r, const Dispose &dispose_r)
| Ctor taking value and dispose function. More...
| operator reference () const
| Provide implicit conversion to `Tp&`. More...
reference | value () const
| Reference to the `Tp` object. More...
reference | operator* () const
| Reference to the `Tp` object. More...
value_type * | operator-> () const
| Pointer to the `Tp` object (asserted to be `!= NULL`). More...
void | reset ()
| Reset to default Ctor values. More...
void | swap (AutoDispose &rhs)
| Exchange the contents of two AutoDispose objects. More...
const Dispose & | getDispose () const
| Return the current dispose function. More...
void | setDispose (const Dispose &dispose_r)
| Set a new dispose function. More...
void | resetDispose ()
| Set no dispose function. More...
void | swapDispose (Dispose &dispose_r)
| Exchange the dispose function. More...

## Additional Inherited Members
Public Types inherited from zypp::AutoDispose< int >
typedef boost::call_traits< int >::param_type | param_type
typedef boost::call_traits< int >::reference | reference
typedef boost::call_traits< int >::const_reference | const_reference
typedef int | value_type
typedef boost::call_traits< int >::value_type | result_type
typedef function< void(param_type)> | Dispose
| Dispose function signatue. More...
Related Functions inherited from zypp::AutoDispose< int >
std::ostream & | operator<< (std::ostream &str, const AutoDispose< int > &obj)
| Stream output of the `Tp` object. More...

## Detailed Description

AutoDispose<int> calling `::close`

Definition at line 280 of file AutoDispose.h.

## Constructor & Destructor Documentation

## ◆ AutoFD()

zypp::AutoFD::AutoFD | ( | int | fd_r = `-1` | ) |
| inline

Definition at line 282 of file AutoDispose.h.

The documentation for this class was generated from the following file:

- zypp/AutoDispose.h